Package eu.mhsl.minenet.minigames.instance.game.minigame.config.common

# Class NumericOption

java.lang.Object
eu.mhsl.minenet.minigames.instance.game.minigame.config.Option<Integer>
eu.mhsl.minenet.minigames.instance.game.minigame.config.common.NumericOption

public class NumericOption extends Option<Integer>

- ## Field Summary

  ### Fields inherited from class eu.mhsl.minenet.minigames.instance.game.minigame.config.Option

  `currentValue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumericOption(String id, net.minestom.server.item.Material item, String name, Integer... options)`

- ## Method Summary

  ### Methods inherited from class eu.mhsl.minenet.minigames.instance.game.minigame.config.Option

  `getAsInt, getAsString, getCurrent, getId, getNext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumericOption

    public NumericOption(String id, net.minestom.server.item.Material item, String name, Integer... options)